Package uk.ac.starlink.vo

# Enum Class AdqlVersion

java.lang.Object
java.lang.Enum<AdqlVersion>
uk.ac.starlink.vo.AdqlVersion

All Implemented Interfaces:
  `Serializable`, `Comparable<AdqlVersion>`, `Constable`

public enum AdqlVersion extends Enum<AdqlVersion>
Version of the ADQL language.

Since:
  18 Sep 2019
Author:
  Mark Taylor

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`V20`
ADQL version 2.0.
`V21`
ADQL version 2.1.

## Method Summary

Modifier and Type
Method
Description
`static AdqlVersion`
`byIvoid(Ivoid ivoid)`
Returns the AdqlVersion instance corresponding to an IVOID.
`static AdqlVersion`
`byNumber(String number)`
Returns the AdqlVersion instance corresponding to a version number.
`Ivoid[]`
`getFeatureUris()`
Returns an array of all the language feature URIs defined by this version.
`Ivoid`
`getIvoid()`
Returns the version identifier string.
`String`
`getName()`
Returns the informal name of this version.
`String`
`getNumber()`
Returns the version number as a string.
`String`
`toString()`
`static AdqlVersion`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AdqlVersion[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### V20

public static final AdqlVersion V20
ADQL version 2.0.

### V21

public static final AdqlVersion V21
ADQL version 2.1.

## Method Details

### values

public static AdqlVersion[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AdqlVersion valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getName

public String getName()
Returns the informal name of this version.

Returns:
  version name, suitable for presentation to user

### getNumber

public String getNumber()
Returns the version number as a string.

Returns:
  X.Y format version number

### getIvoid

public Ivoid getIvoid()
Returns the version identifier string.

Returns:
  URI, currently of the form ivo://ivoa.net/std/ADQL#vX.Y

### getFeatureUris

public Ivoid[] getFeatureUris()
Returns an array of all the language feature URIs defined by this version. These currently all have the form "`ivo://ivoa.net/std/TAPRegExt#features-*`". These are defined in the TAPRegExt and ADQL standards.

Returns:
  language feature URIs

### toString

public String toString()

Overrides:
  `toString` in class `Enum<AdqlVersion>`

### byNumber

public static AdqlVersion byNumber(String number)
Returns the AdqlVersion instance corresponding to a version number.

Parameters:
  `number` - version number of the form X.Y
Returns:
  corresponding version instance, or null

### byIvoid

public static AdqlVersion byIvoid(Ivoid ivoid)
Returns the AdqlVersion instance corresponding to an IVOID.

Parameters:
  `ivoid` - URI, currently of the form ivo://ivoa.net/std/ADQL#vX.Y